ResourcesCourses
List courses
List course products and their complete ordered curriculum for the authenticated store.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valuepagination?boolean
Set to false to return at most 100 matching items in one data array without pagination links or metadata.
Default
trueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/courses"{
"data": [
{
"id": 0,
"title": "string",
"slug": "string",
"description": "string",
"visibility": "PUBLIC",
"is_draft": true,
"delivery_text": "string",
"category": "development",
"level": "all_levels",
"language": "string",
"subtitle": "string",
"author": "string",
"subcategory": "string",
"what_you_learn": [
"string"
],
"requirements": [
"string"
],
"certificate_enabled": true,
"access_type": "lifetime",
"access_duration_days": 1,
"enrollment_limit": 1,
"promo_video": {
"mux_playback_id": "string",
"mux_status": "string",
"duration_seconds": 0
},
"sections": [
{
"id": 0,
"title": "string",
"description": "string",
"sort_order": 1,
"lessons": [
{
"id": 0,
"section_id": 0,
"title": "string",
"content": "string",
"type": "lecture",
"is_preview": true,
"is_published": true,
"sort_order": 1,
"video": {
"source": "mux",
"external_url": "http://example.com",
"mux_playback_id": "string",
"mux_status": "string",
"duration_seconds": 0
},
"attachments": [
{
"id": 0,
"title": "string",
"mime_type": "string",
"size_bytes": 0,
"sort_order": 1
}
],
"assignment": {
"estimated_duration_minutes": 1,
"instructions": "string",
"questions": [
{
"id": 0,
"prompt": "string",
"question_type": "text",
"solution": "string",
"sort_order": 1,
"answers": [
{
"id": 0,
"answer": "string",
"is_correct": true,
"sort_order": 1
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
},
"questions": [
{
"id": 0,
"prompt": "string",
"question_type": "text",
"solution": "string",
"sort_order": 1,
"answers": [
{
"id": 0,
"answer": "string",
"is_correct": true,
"sort_order": 1
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"links": {
"first": "https://sell.app/api/v1/blacklists?page=1",
"last": "https://sell.app/api/v1/blacklists?page=4",
"prev": null,
"next": "https://sell.app/api/v1/blacklists?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 4,
"links": [
{
"url": "string",
"label": "string",
"active": true
}
],
"path": "https://sell.app/api/v1/blacklists",
"per_page": 15,
"to": 15,
"total": 57
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}